Bug 200890 - [bn] Phonetic keymap "probhat" does not include the correct keypoint for newly added unicode character U+09CE
[bn] Phonetic keymap "probhat" does not include the correct keypoint for newl...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mayank Jain
: i18n, Reopened
Depends On:
Blocks: 205200
  Show dependency treegraph
 
Reported: 2006-08-01 08:46 EDT by Runa Bhattacharjee
Modified: 2013-03-03 21:20 EST (History)
3 users (show)

See Also:
Fixed In Version: m17n-db-bengali-1.3.3-27.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 04:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
incorrect display on shift+8 key (8.76 KB, image/png)
2006-08-01 08:46 EDT, Runa Bhattacharjee
no flags Details
expected character on shift+8 (6.89 KB, image/png)
2006-08-01 08:47 EDT, Runa Bhattacharjee
no flags Details
screenshot of [bn] '*' input (23.59 KB, image/png)
2006-09-29 02:29 EDT, Nicole Dai
no flags Details

  None (edit)
Description Runa Bhattacharjee 2006-08-01 08:46:49 EDT
Description of problem:

The bengali phonetic keymap bn-probhat has been modified to represent the newly
added unicode character U+09CE (khanda-ta) on shift+8 in the english keyboard.
Currently it is being written as U09A4+U09CD+U200D. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Choose Bengali India Locale  in gdm and log-in
2. Start gedit
3. ctrl+space to activate scim
4. Choose bn-probhat from the scim toolbar
5. Type  *
  
Actual results:

glyph shown in keymap1.png (consisting of U09A4+U09CD+U200D)

Expected results:

glyph shown in keymap2.png (actual glyph for U09CE character)

Additional info:
Comment 1 Runa Bhattacharjee 2006-08-01 08:46:50 EDT
Created attachment 133392 [details]
incorrect display on shift+8 key
Comment 2 Runa Bhattacharjee 2006-08-01 08:47:48 EDT
Created attachment 133393 [details]
expected character on shift+8
Comment 3 Mayank Jain 2006-08-01 09:20:29 EDT
Corrected the keymap, build sent to rawhide.
QE, kindly check.

Thanks,
Mayank
Comment 4 Runa Bhattacharjee 2006-08-07 10:03:55 EDT
Tested with version m17n-bn-bengali-1.3.3-16.fc6

Status:
Not Fixed.
/usr/share/m17n/bn-probhat.mim file doesnt show update either.
Comment 5 Mayank Jain 2006-08-08 03:56:34 EDT
Thats Weird!
Let me check.
Comment 6 Mayank Jain 2006-08-08 04:15:10 EDT
Rebuilt, sent to rawhide.
Comment 8 Runa Bhattacharjee 2006-08-08 04:42:37 EDT
Tested with m17n-bn-bengali-1.3.3-17.fc6.

Status:
Fixed.

Thanks Mayank
Comment 9 Mayank Jain 2006-08-08 04:46:46 EDT
Welcome :)
Comment 10 Satyabrata Maitra 2006-09-01 02:09:58 EDT
This isue is solved now. I think this bug is same as Bug No. 179821. However,
this bug is fixed now. Closing the bug for now. If required, pls repoen it.

Component Version Tested :

m17n-db-bengali-1.3.3-17.fc6
fonts-bengali-2.0.1-1
scim-m17n-0.2.0-6.fc6
scim-1.4.4-32.fc6
Comment 11 Mayank Jain 2006-09-01 04:59:04 EDT
Thanks satya :)
Comment 12 Satyabrata Maitra 2006-09-05 09:48:56 EDT
Reopening the bug as even it was fixed in prior version of m17n-db-bengali, as
commented, but again in latest version m17n-db-bengali-1.3.3-20.fc6, its showing
wrong if press SHIFT+8 with selecting bn-Prabhat layout from scim table.
Comment 13 Runa Bhattacharjee 2006-09-05 09:51:42 EDT
I checked with m17n-db-bengali-1.3.3-21.fc6. Status: Broken.
Comment 14 Mayank Jain 2006-09-06 03:47:24 EDT
New build sent to rawhide.
Comment 15 Nicole Dai 2006-09-29 02:29:32 EDT
Created attachment 137367 [details]
screenshot of [bn] '*' input

Confirmed that the bug has been fixed in m17n-db-bengali-1.3.3-27.fc6. Pls move
the package to dist-fc6. Thanks.

Note You need to log in before you can comment on or make changes to this bug.